cost 306 ms
元素类型无效:需要一个字符串(对于内置组件)或一个类/函数(对于复合组件)但得到:未定义找不到答案

[英]Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: undefined cannot find ans

更新了expo客户端,导致了很多问题,但是就剩下这个了。 对于这个所谓的常见问题,我找不到适合我的解决方案。 我相信这可能源于导致错误的代码部分被模块化的事实。 我试过以不同的方式导入,以不同的方式导出。 我希望这能解决我的问题,但都没有。 导入代码: 导入代码: 调用元素的代码: ...

React Native 无法识别 ruby 版本的 rvm

[英]React Native doesn't recognize the ruby version of rvm

我正在尝试纠正我的本机反应设置中的问题,问题似乎是 ruby。为了澄清我在 Mac M1 上所以我安装了 rvm,安装了 rvm 2.7.6(这是 ruby react native 使用的当前版本,信息取自他们的网站)。 我在 Rosetta2 上执行了这个命令,因为它在非 Rosetta 终端 ...

在封面模式下使用 ImageBackground 并将图像定位在顶部?

[英]Using an ImageBackground in cover mode and positioning the image at the top?

我正在使用父View高度为 200 的ImageBackground组件。我有一个肖像图像作为ImageBackground的来源,但它似乎垂直居中图像。 我希望图像的顶部位于父级/ImageBackground 的顶部。 这是我的代码: 我确实希望图像占据整个宽度,因此是封面模式。 ...

如何获取数组中每个 object 的编号 using.map | 反应

[英]How do I get the number of each object in a array using .map | React

我试图获取数组中每个 object 的编号,然后我试图将它添加到我的 jsx 代码中以显示它是什么我正在从这个文件 tableData.js 中提取数据 表.js 我尝试添加一个从 0 开始并在每次添加行时添加 1 的变量,但它不起作用(我是初学者所以我的策略可能很糟糕) ...

遗留的 expo-cli 不支持 Node +17

[英]The legacy expo-cli does not support Node +17

我已经安装了 expo-cli 并设置了环境变量。 它给出了这个错误: 遗留的 expo-cli 不支持 Node +17。 迁移到版本化的 Expo CLI (npx expo)。 未捕获的错误错误:EPERM:不允许操作,mkdir 'C:\Users\a.expo' 节点版本:v18.12. ...

从底部开始生长 Flexbox 项

[英]Grow Flexbox items from the bottom

我不敢相信我会问这个,因为它一定很简单。 但是我在 react-native 工作,我认为必须使用 flexbox,但我愿意接受建议。 *** 我知道 React Native 会使用视图而不是 Div,但这个问题实际上是关于 flexbox 的,我将无法为此使用网格。 虽然我也很好奇如何在网格中 ...

xcode 正在构建我的应用程序的旧版本 (react-native)

[英]xcode is building an old version of my app (react-native)

我的问题: 我最近(自动)将 xcode 升级到 v14。 我为客户提供了一个 react-native 应用程序,该应用程序位于 0.63.3 问题是当我构建时,构建是在旧版本上(2.4.4,现在我在 2.5.0)。 当我通过终端启动我的应用程序时,因此: npx react-native ru ...

React Native animation,渲染错误:无效转换 scaleDisliked: { "scaleDisliked":1 }

[英]React Native animation, render error: Invalid transform scaleDisliked: { "scaleDisliked":1 }

在我的本机反应应用程序中,我想将 transform:scale 应用于 Animated.View 组件,我正在使用插值来实现这种效果,但出现以下错误: 我的完整代码: 知道为什么我会收到这个错误吗? ...

当我创建 React Native 项目时出现错误

[英]When I create react native project it's give me error

我的节点和本机版本 运行 cmd 它给我这样的错误 在此处输入图像描述或者当我尝试使用 npm 在项目中安装任何 lib 时它也给我错误但是当我运行 yarn 它安装成功当运行纱线 cmd 时它正在工作当运行 npm 它给我这样的错误任何人都可以给我解决方案以及为什么会出现此错误我只是在出现此错误后 ...

使用 react-navigation v6 在 react-native 中通过多个堆栈/导航器共享屏幕

[英]Sharing screens over multiple stacks/navigators in react-native using react-navigation v6

赏金将在 6 天后到期。 此问题的答案有资格获得+50声望赏金。 Quantal正在从信誉良好的来源寻找答案。 我有几个屏幕想在多个堆栈之间共享。 我在 github 上发现了类似的问题,但没有有效的解决方案。 当导航到共享屏幕时,我希望能够go 回到我导航的屏幕。 任何想法都非常适用。 我在下 ...

如何在玩笑中解决“SyntaxError: Cannot use import statement outside a module”

[英]How to resolve "SyntaxError: Cannot use import statement outside a module" in jest

我有一个 react-native 应用程序在尝试运行 yarn jest 时,出现以下错误: 反应本机版本:“0.64.4” 依赖项: “本机反应”:“0.64.4”,“笑话”:“29.2.2” 测试文件如下所示: 我尝试了很多解决方案,但没有一个对我有用。 ...

无法找到具有 testID 的元素

[英]Unable to find an element with a testID

我正在构建一个 React Native 应用程序。 在我的GigsByDay组件中,有一个 TouchableOpacity 元素,按下该元素会将用户定向到GigDetails屏幕。 我正在尝试使用 Jest 和 React Native 测试库来测试这个特定的功能。 我编写了以下测试,但收到了错 ...

无效位移位置错误 React Native Expo Bare

[英]Invalid displacement location error React Native Expo Bare

我目前正在使用 Expo 位置,每当我允许位置权限时,我都会收到此错误。 我在 Expo Bare,SDK 47,React 18.1,React Native 0.70.5。 谁能帮帮我吗? 谢谢。 无效位移错误我试过用别的位置库,打开位置权限还是一样 ...


 
粤ICP备18138465号  © 2020-2023 STACKOOM.COM